Bug 25058 - s4connector_present doesn't find IPv6-only servers
s4connector_present doesn't find IPv6-only servers
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-01 11:34 CET by Sönke Schwardt-Krummrich
Modified: 2017-08-02 14:34 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.034
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): IPv6
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (1.25 KB, patch)
2016-10-04 17:40 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2011-12-01 11:34:41 CET
In univention/admin/handlers/__init__.py:476 wird aktuell nur nach aRecord gesucht. Das bedeutet, dass ein S4-Connector in einer IPv6-Only-Umgebung nicht gefunden wird.
Comment 1 Florian Best univentionstaff 2016-10-04 17:40:06 CEST
Created attachment 8065 [details]
patch
Comment 2 Florian Best univentionstaff 2017-07-28 15:50:47 CEST
Patch applied. aAAARecord is now considered, too.

univention-directory-manager-modules (12.0.18-6):
r81533 | Bug #25058: S4 Connector instances which only have IPv6 are now detected as such

univention-directory-manager-modules.yaml:
r81533 | Bug #25058: S4 Connector instances which only have IPv6 are now detected as such
Comment 3 Johannes Keiser univentionstaff 2017-08-02 13:43:37 CEST
OK S4-Connector with IPv6-only is found

udm computers/memberserver create --set service='S4 Connector' --set name=s4member --set ip=1:2:3:4::6

>>> import univention.admin
>>> lo,po=univention.admin.uldap.getMachineConnection()
>>> univention.admin.modules.update()
>>> m = univention.admin.modules.get('computers/memberserver')
>>> o = m.object(None, lo, po)
>>> o.s4connector_present
Before patch: False
After patch:  True


YAML: OK (r 81690)
-> verified
Comment 4 Arvid Requate univentionstaff 2017-08-02 14:34:09 CEST
<http://errata.software-univention.de/ucs/4.2/121.html>